<!DOCTYPE html>
<html lang="en">
<head>
  <title>User Home Page</title>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/css/bootstrap.min.css">
  <link href="https://fonts.googleapis.com/css?family=Montserrat" rel="stylesheet">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/js/bootstrap.min.js"></script>
  <meta name="google-signin-client_id" content="116158539851-k7gvs7507tp7a69q03nc4k66hnpifnq4.apps.googleusercontent.com">
<script src="https://apis.google.com/js/platform.js" async defer></script>
<style>
  .dropbtn {
  background-color: #3498DB;
  color: white;
}

.center-div
{
  position: absolute;
  margin: auto;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  width: 600px;
  height: 50px;
}
.dropbtn:hover, .dropbtn:focus {
  background-color: #2980B9;
}

.dropdown a:hover {background-color: #ddd;}

</style>
  <script>
    function signOut() {
    var auth2 = gapi.auth2.getAuthInstance();
    auth2.signOut().then(function () {
      console.log('User signed out.');
    });
  }
  </script>
  <style>
  body {
    font: 20px Montserrat, sans-serif;
    line-height: 1.8;
    color: #f5f6f7;
  }
  p {font-size: 16px;}
  .margin {margin-bottom: 45px;}
  .navbar {
    padding-top: 15px;
    padding-bottom: 15px;
    border: 0;
    border-radius: 0;
    margin-bottom: 0;
    font-size: 12px;
    letter-spacing: 5px;
  }
  .navbar-nav  li a:hover {
    color: #1abc9c !important;
  }
  </style>
</head>
<body style="background-color:powderblue;">
<nav class="navbar navbar-default">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#myNavbar">
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>                        
      </button>
      <a class="navbar-brand" >User</a>
    </div>
    <div class="collapse navbar-collapse" id="myNavbar">
      <ul class="nav navbar-nav navbar-right">
        
        {% if social == 'Yes'%}
        <li><a href="{{ url_for('logout') }}" onclick="signOut();">Signout</a></li>
        {% else %}
        <li><a href="{{ url_for('logout') }}">Logout</a></li>
        {% endif %}
      </ul>
    </div>
  </div>

<div style="display: none;" class="g-signin2" data-onsuccess="onSignIn" ></div>
</nav>
{% if show == 'not_voted' %}
<div><center><h1 style="font-size:25px; color:black;">Please Vote the Right Candidate</center></h1></div><br/>
<div>
    <form method=POST action="{{ url_for('savevote') }}">
    <div class="container">
    <center>
    <table>
        {% for candidate in candidates %}
        <tr>
            <td><input type="radio" class='my-radio' name='option' value={{candidate}} style="margin-right: 10px" required></td>
            <td style="font-size:20px; color:black;" >{{ candidate }}</td>
        </tr>
        {% endfor %}
   </table>
   <br/><button type="submit" class="btn btn-primary">Submit</button>
    </center>
</div>
</form>
</div>
</div>
{% elif show == 'success' %}
<div class="center-div">
    <center><p style="font-size:25px; color:black;">Your Vote has been saved Successfully.</p></center>
  </div>
{% else %}
<div class="center-div">
    <center><p style="font-size:25px; color:black;">Day Dearming you have already voted...!</p></center>
  </div>
{% endif %}
<script src="Scripts/jquery-1.10.2.min.js"></script>
<script type="text/javascript">
$(document).ready(function () {
    $('.my-radio').on('change', function () {
    $('.my-radio').prop('disabled',false).filter(':checked').each(function() {
        $('.my-radio[value="' + this.value + '"]:not(:checked)').prop('disabled', true);
    });
});
});
</script>
</body>
</html>